version : '3.1'

services:
  infoapp:
    build:
      context: .
      dockerfile: ./infoapp/Dockerfile
    expose:
        - "9000"
    volumes:
      - ./infoapp/html:/var/www/html
  infoweb:
    image: nginx:latest
    depends_on:
      - infoapp
    ports:
      - "8088:80"
    volumes:
      - ./infoweb/nginx/nisshin.conf:/etc/nginx/nginx.conf
      - ./infoweb/nginx/log/:/var/log/nginx/
  infomysql:
    image: mariadb:10.11
    ports:
      - "3308:3306"
    environment:
      MARIADB_ROOT_PASSWORD: test
    env_file:
      - ./infomysql/.env
    volumes:
      - ./infomysql/data:/var/lib/mysql
      - ./infomysql/my.cnf.d:/etc/mysql/conf.d
      - ./infomysql/initsql:/docker-entrypoint-initdb.d
